Diskuzní fórum a databáze tipů a utilit pro AutoCAD, Inventor, Revit a další produkty Autodesk - od firmy Arkance Systems [www.cadforum.cz]
CZ | SK | EN | DE
Přihlášení
či registrace
   právě nás čte: 7963 
RSS kanál - CAD tipy RSS tipy
RSS diskuze

Diskuze Diskuzní fórum, poradna

 

NápovědaCAD diskuze, rady, výměna zkušeností

 
CAD Fórum - Homepage Veřejné diskuzní fórum k CAD aplikacím - ptejte se na libovolné otázky týkající se oboru CAx, podělte se o vaše znalosti a zkušenosti s programy AutoCAD, Inventor, Revit, Fusion 360, 3ds Max a s dalšími CAD aplikacemi. Zaregistrujte se nebo se přihlašte a zašlete váš příspěvek do odpovídajícího fóra. Viz další informace o CAD Fóru. Nechcete se registrovat? Zeptejte se v naší Facebook poradně.
Fórum nenahrazuje technický support firmy Arkance Systems (CAD Studio) - přímá podpora pro zákazníky funguje na helpdesk.cadstudio.cz
  FAQ FAQ  Prohledat fórum   Události   Registrovat Registrovat  Přihlásit Přihlásit

hromadná zmena veľkostí bloku

 Odpovědět Odpovědět archiv
Autor
cvirikovec Zobrazit panel
Zasloužilý člen
Zasloužilý člen

Přihlášen: 28.zář.2010
Lokalita: Slovensko
Používám:
Autocad 2018
Stav: Offline
Bodů: 120
Možnosti příspěvku Možnosti příspěvku   Poděkování (0) Poděkování0   Citace cvirikovec Citace  OdpovědětOdpověď Přímý odkaz na tuto zprávu Téma: hromadná zmena veľkostí bloku
    Zasláno: 17.čer.2024 v 07:15
ahojte, 
pri kopírovaní množstva blokov som zistil že niektoré nemajú mierku 1 ale 0,01 (ano je to dané inými jednotkami v tých rôznych výkresoch). 
Existuje prosím nejaký príkaz alebo lisp ktorý by zadefinoval - všetky bloky v tomto výkrese majú veľkosť 1 - ale nezmenil by ich tvar. 

ďakujem 
Zpět nahoru
Petr75 Zobrazit panel
TOP uživatel
TOP uživatel

Přihlášen: 16.úno.2007
Lokalita: ČR (JM)
Používám:
AutoCAD LT 2025
Stav: Offline
Bodů: 401
Možnosti příspěvku Možnosti příspěvku   Poděkování (0) Poděkování0   Citace Petr75 Citace  OdpovědětOdpověď Přímý odkaz na tuto zprávu Zasláno: 17.čer.2024 v 08:41
Buď můžete vybrat všechny bloky a pak nastavit měřítko na 1 nebo můžete použít lisp program viz. níže.
(defun c:BlockReset ( / ss blk i)
(setq i 0)
(setq ss (ssget "_X" '(( 0 . "INSERT")))) ; reset všech bloků
; (setq ss (ssget '(( 0 . "INSERT")))) ; reset jen vybraných bloků
(if ss
(repeat (sslength ss)
(setq blk (vlax-ename->vla-object (ssname ss i)))
(vlax-put-property blk 'XEffectiveScaleFactor 1.0)
(vlax-put-property blk 'YEffectiveScaleFactor 1.0)
(vlax-put-property blk 'ZEffectiveScaleFactor 1.0)
(setq i (1+ i))
)
)
(princ)
)
Zpět nahoru

Pro technickou podporu CAD
kontaktujte Helpdesk

Příbuzné CAD tipy:
Tip 2124:VIPJak změnit měřítko výkresu pouze v jedné ose (jen X, jen Y, jen Z)?
Tip 9761:Jak upravit vlastnosti součástí sestavy z rozpisky?
Tip 9281:Změna poměru stran rastrového obrázku.
Tip 4877:VIPHromadné přenastavení jednotek ve všech DWG výkresech (nesprávné měřítko vkládání).
Tip 2943:Jak zvětšit nebo natočit několik bloků okolo jejich individuálních vkládacích bodů?
Tip 7225:Jak hromadně připočíst hodnotu k atributům bloků?


 Odpovědět Odpovědět

Přejít na fórum Oprávnění fóra Zobrazit panel



Stránka byla vygenerována za 0,706 sekund.